## ploop 1.9

=== debian/changelog ===
ploop (1.9-10) unstable; urgency=medium

  * Added parted, e2fsprogs and util-linux to the dependencies for
    libploop1.
  * Added recommendation for lsof and findutils (they are only used
    in special error cases).

 -- Ola Lundqvist <opal@debian.org>  Mon, 04 Nov 2013 21:19:10 +0100

ploop (1.9-9) unstable; urgency=low

  * Finally it is possible to build on ia64. Verified on a porter box.

 -- Ola Lundqvist <opal@debian.org>  Thu, 31 Oct 2013 19:48:35 +0100

ploop (1.9-8) unstable; urgency=low

  * One more fix for ia64. This time it is the '%lld' macro.

 -- Ola Lundqvist <opal@debian.org>  Thu, 31 Oct 2013 17:29:58 +0100

ploop (1.9-7) unstable; urgency=low

  * Build on ia64 is harder than it looks. More files need to be
    patched.

 -- Ola Lundqvist <opal@debian.org>  Wed, 30 Oct 2013 21:38:20 +0100

ploop (1.9-6) unstable; urgency=low

  * The previous fix for ia64 was not good enough. Better fix this time.

 -- Ola Lundqvist <opal@debian.org>  Wed, 30 Oct 2013 20:00:38 +0100

ploop (1.9-5) unstable; urgency=low

  * Fixed build problem on ia64 architecture.

 -- Ola Lundqvist <opal@debian.org>  Wed, 30 Oct 2013 19:18:19 +0100

ploop (1.9-4) unstable; urgency=low

  * Applied a patch from upstream that solves the problem with builds on
    architectures other than i386 and amd64, reported by Aaron M. Ucko
    <ucko@debian.org>. Closes: #728173.
  * Made the package arhitecture linux-any based on the information from
    upstream that there is nothing that should prevent it from being
    architecture agnostic.

 -- Ola Lundqvist <opal@debian.org>  Tue, 29 Oct 2013 21:12:00 +0100

ploop (1.9-3) unstable; urgency=low

  * Added dependency on pkg-config to make sure it builds in a minimal
    build environment. Closes: #728172.
  * Limited the architectures to i386 ia64 amd64 powerpc sparc which is
    the same as vzctl is limited to. Closes: #728174.

 -- Ola Lundqvist <opal@debian.org>  Tue, 29 Oct 2013 18:24:50 +0100

ploop (1.9-2) unstable; urgency=low

  * Applied patch from upstream to make sure /var/lock/ploop directory
    is created.

 -- Ola Lundqvist <opal@debian.org>  Sat, 05 Oct 2013 11:50:45 +0200

ploop (1.9-1) unstable; urgency=low

  * New upstream release.
  * Added hardening-wrapper to build depends.
  * Applied a patch from git to make this source build with hardening on.
  * Fixed possible rmdir error in postrm and prerm scripts.

 -- Ola Lundqvist <opal@debian.org>  Tue, 10 Sep 2013 14:21:02 +0200

ploop (1.8-1) unstable; urgency=low

  * Initial release (Closes: #720292)
  * Support for multiarch.

 -- Ola Lundqvist <opal@debian.org>  Tue, 20 Aug 2013 07:05:12 +0200
