=== debian/changelog ===
ploop (1.10-2) unstable; urgency=low

  * Fix ia64 build.

 -- Ola Lundqvist <opal@debian.org>  Fri, 27 Dec 2013 00:45:05 +0100

ploop (1.10-1) unstable; urgency=low

  * New upstream release. Now upstream includes the solution for #728173.

 -- Ola Lundqvist <opal@debian.org>  Mon, 23 Dec 2013 14:05:46 +0100
