=== debian/control ===
Source: ploop
Section: libs
Priority: extra
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends: debhelper (>= 9.0.0), e2fslibs-dev, libxml2-dev, dh-exec (>=0.3), hardening-wrapper, pkg-config
Standards-Version: 3.9.3
Homepage: http://download.openvz.org/utils/ploop
Vcs-Git: git://git.openvz.org/ploop
Vcs-Browser: http://git.openvz.org/pub/ploop

Package: ploop
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libploop1 (= ${binary:Version})
Description: tools to work with ploop devices and images
 This package contains tools to work with ploop devices and images.

Package: libploop-dev
Section: libdevel
Architecture: i386 ia64 amd64 powerpc sparc
Depends: libploop1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: ploop API development library
 Headers and a static version of Parallels loopback (ploop) block device
 API library.

Package: libploop1
Section: libs
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, parted, util-linux, e2fsprogs
Recommends: lsof, findutils
Pre-Depends: ${misc:Pre-Depends}
Description: ploop API library
 Parallels loopback (ploop) block device API library.
