=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ 

#override_dh_auto_make:
#        $(MAKE) LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp install
	rmdir debian/tmp/var/lock/ploop
	rmdir debian/tmp/var/lock
	rmdir debian/tmp/var

override_dh_auto_clean:
	$(MAKE) clean
	$(MAKE) distclean
