## ploop 1.12

=== debian/changelog ===
ploop (1.12-1) unstable; urgency=low

  * New upstream release.

 -- Ola Lundqvist <opal@debian.org>  Wed, 20 Aug 2014 21:57:58 +0200

ploop (1.11-1) unstable; urgency=low

  * New upstream release.
  * Support for ia64 removed.
  * Removed dependency on util-linux, e2fsprogs and findutils as those packages
    are essential and will always be installed.

 -- Ola Lundqvist <opal@debian.org>  Fri, 18 Apr 2014 13:45:09 +0200
