## ploop 1.12.1

=== debian/changelog ===
ploop (1.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Ola Lundqvist <opal@debian.org>  Sun, 14 Sep 2014 13:54:37 +0200
