## ploop 1.12.2

=== Makefile ===
--- 
+++ 
@@ -42,3 +42,6 @@
 	rm -rf cov-int
 	git describe --tags HEAD
 .PHONY: cov
+
+# Add optional local rules
+-include Makefile.local
