=== debian/changelog ===
ploop (1.12.2-1) unstable; urgency=low

  * New upstream release.

 -- Ola Lundqvist <opal@debian.org>  Wed, 07 Jan 2015 20:33:13 +0100
