=== debian/control ===
--- 
+++ 
@@ -26,8 +26,8 @@
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, parted, util-linux, e2fsprogs
-Recommends: lsof, findutils
+Depends: ${shlibs:Depends}, ${misc:Depends}, parted
+Recommends: lsof
 Pre-Depends: ${misc:Pre-Depends}
 Description: ploop API library
  Parallels loopback (ploop) block device API library.
