## ploop 1.13.2

=== debian/changelog ===
ploop (1.13.2-1) unstable; urgency=low

  * New upstream release.

 -- Ola Lundqvist <opal@debian.org>  Tue, 21 Apr 2015 21:49:15 +0200
