## ploop 1.14.1

=== debian/changelog ===
ploop (1.14.1-1) unstable; urgency=low

  * New upstream release.
  * Updated standards version to 3.9.6.
  * Added removal of lib/ploop.pc as it was not properly cleaned
    at make clean or make distclean targets.

 -- Ola Lundqvist <opal@debian.org>  Mon, 16 Nov 2015 19:49:14 +0100
