=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ola Lundqvist <opal@debian.org>
 Build-Depends: debhelper (>= 9.0.0), e2fslibs-dev, libxml2-dev, dh-exec (>=0.3), hardening-wrapper, pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://download.openvz.org/utils/ploop
 Vcs-Git: git://git.openvz.org/ploop
 Vcs-Browser: http://git.openvz.org/pub/ploop
