=== debian/rules ===
--- 
+++ 
@@ -26,3 +26,4 @@
 override_dh_auto_clean:
 	$(MAKE) clean
 	$(MAKE) distclean
+	rm -f lib/ploop.pc
