=== lib/Makefile ===
--- 
+++ 
@@ -1,8 +1,5 @@
 include ../Makefile.inc
 
-# Get version numbers from spec file
-SPEC    := ../$(NAME).spec
-VERSION := $(shell awk '/^Version:/{print $$2}' $(SPEC))
 V_MAJOR := $(word 1,$(subst ., ,$(VERSION)))
 V_MINOR := $(patsubst $(V_MAJOR).%,%,$(VERSION))
 
@@ -10,6 +7,9 @@
 LIBPLOOP_SO     := libploop.so
 LIBPLOOP_SO_X   := $(LIBPLOOP_SO).$(V_MAJOR)
 LIBPLOOP_SO_X_Y := $(LIBPLOOP_SO_X).$(V_MINOR)
+
+PC=$(NAME).pc
+PCDIR=$(LIBDIR)/pkgconfig
 
 LIBOBJS=uuid.o \
 	delta_read.o \
@@ -27,8 +27,11 @@
 	merge.o \
 	util.o \
 	pcopy.o \
+	ploop-copy.o \
 	di.o \
 	cleanup.o \
+	deprecated.o \
+	snapshot.o \
 	symbols.o
 
 SOURCES=$(LIBOBJS:.o=.c)
@@ -36,10 +39,17 @@
 
 CFLAGS += $(shell pkg-config libxml-2.0 --cflags) -fPIC -fvisibility=hidden
 LDFLAGS+= -shared -Wl,-soname,$(LIBPLOOP_SO_X)
-LDLIBS += $(shell pkg-config libxml-2.0 --libs) -lrt
+LDLIBS += $(shell pkg-config libxml-2.0 --libs) -lpthread -lrt
 
-all: $(LIBPLOOP) $(LIBPLOOP_SO)
+all: $(LIBPLOOP) $(LIBPLOOP_SO) $(PC)
 .PHONY: all
+
+$(PC): $(PC).in
+	$(E) "  GEN     " $@
+	$(Q) sed \
+		-e 's|@VERSION@|$(VERSION)|g' \
+		-e 's|@LIBDIR@|$(LIBDIR)|g' \
+		$^ > $@
 
 symbols.c: ../gensym.sh ../include/libploop.h
 	$(E) "  GEN     " $@
@@ -70,7 +80,13 @@
 	$(Q) $(INSTALL) -d $(DESTDIR)$(LOCKDIR)
 .PHONY: install-lockdir
 
-install: all install-lockdir
+install-pc: $(PC)
+	$(E) "  INSTALL " $(PC)
+	$(Q) $(INSTALL) -d $(DESTDIR)$(PCDIR)
+	$(Q) $(INSTALL) $(PC) $(DESTDIR)$(PCDIR)
+.PHONY: install-pc
+
+install: all install-lockdir install-pc
 	$(Q) $(INSTALL) -d $(DESTDIR)$(LIBDIR)
 	$(E) "  INSTALL " $(LIBPLOOP)
 	$(Q) $(INSTALL) -m 644 $(LIBPLOOP) $(DESTDIR)$(LIBDIR)
