=== debian/changelog ===
ploop (1.15-6) unstable; urgency=medium

  * QA upload.
  * Fix compilation with gcc 8. (Closes: #897835)
  * Drop unnecessary usage of dh-exec.
  * Enable all hardening options.
  * Simplify debian/watch and debian/rules.
  * Fix spelling errors found by lintian.
  * Use https in control and copyright.
  * Drop duplicated section field.
  * Bump debhelper compat/dependency to 11.
  * Bump Standards-Version to 4.1.5.
  * Use more appropriate homepage field.
  * Refresh patches and add headers.
  * Add upstream metadata file.
  * Drop lintian overrides for binaries that no longer exist.
  * Change ploop section to admin.
  * Add longer package descriptions.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 29 Jul 2018 00:01:58 +0200

ploop (1.15-5) unstable; urgency=medium

  * QA upload.
  * Add e2fsprogs to dependencies of libploop1 (Closes: #887298)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 15 Jan 2018 16:57:26 +0100

ploop (1.15-4) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with glibc 2.25. (Closes: #882295)
  * Unhide the compiler flags during the build.
  * Priority extra -> optional.

 -- Adrian Bunk <bunk@debian.org>  Fri, 24 Nov 2017 21:07:16 +0200

ploop (1.15-3) unstable; urgency=low

  * Fix FTBFS issue, closes: #853619.
  * Maintainer changed to Debian QA Team.

 -- Ola Lundqvist <opal@debian.org>  Mon, 04 Sep 2017 21:42:34 +0200

ploop (1.15-2) unstable; urgency=high

  * Removed depdendency on hardening wrapper. Closes: #836646.
  * Removed vcs listing from control file as that is for upstream vcs.

 -- Ola Lundqvist <opal@debian.org>  Sun, 11 Sep 2016 22:01:27 +0200

ploop (1.15-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/watch file from Bart Martens <bartm@debian.org>.

 -- Ola Lundqvist <opal@debian.org>  Sun, 19 Jun 2016 22:58:56 +0200
