=== debian/control ===
Source: ploop
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 11), e2fslibs-dev, libxml2-dev, pkg-config
Standards-Version: 4.1.5
Homepage: https://wiki.openvz.org/Ploop

Package: ploop
Section: admin
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libploop1 (= ${binary:Version})
Description: tools to work with ploop devices and images
 Ploop is a disk loopback block device, not unlike loop but with many
 features like dynamic resize, snapshots, backups etc. The main idea is to
 put container filesystem in a file.
 .
 This package contains tools to work with ploop devices and images.

Package: libploop-dev
Section: libdevel
Architecture: i386 ia64 amd64 powerpc sparc
Depends: libploop1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: ploop API development library
 Ploop is a disk loopback block device, not unlike loop but with many
 features like dynamic resize, snapshots, backups etc. The main idea is to
 put container filesystem in a file.
 .
 This package contains headers and a static version of Parallels loopback
 (ploop) block device API library.

Package: libploop1
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, parted, e2fsprogs
Recommends: lsof
Pre-Depends: ${misc:Pre-Depends}
Description: ploop API library
 Ploop is a disk loopback block device, not unlike loop but with many
 features like dynamic resize, snapshots, backups etc. The main idea is to
 put container filesystem in a file.
 .
 This package contains the library for Parallels loopback (ploop) block
 device API.
